package supply_kit_pull_system;

import simudyne.core.abm.GlobalState;
import simudyne.core.annotations.Input;
import simudyne.core.rng.SeededRandom;
import supply_kit_pull_system.util.ProductDetails;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Globals extends GlobalState {
    public Map<String, Long> warehouseLocations;
    public List<Map<String, String>> zipRegionData;
    public Map<String, ProductDetails> availableProducts = new HashMap<>();
    public SeededRandom rng;

    @Input(name = "Annual Salary Spend")
    public double annualSpending = 0.05;

    @Input(name = "Customer Population Size")
    public long nbCustomers = 150;

    @Input(name = "Initial Inventory")
    public int initialInventory = 25;

    @Input(name = "Production Prediction Time")
    public long prodPredictionTime = 5;


    public String determineCustomerRegion() {
        int randomIndex = rng.getNextInt(zipRegionData.size());
        Map<String, String> randomEntry = zipRegionData.get(randomIndex);
        return randomEntry.get("zip_region_name");
    }
}
