package supply_kit_pull_system.util;

import simudyne.core.abm.supplykit.Product;
import simudyne.core.graph.Message;
import supply_kit_pull_system.agents.Warehouse;

import java.util.List;
import java.util.Map;

public class Messages {
    public static class OrderMessage extends Message {
        public MarketPlaceOrder marketPlaceOrderDetails;
    }

    public static class WarehouseOrderMessage extends Message {
        public WarehouseOrder warehouseOrder;
    }

    public static class FullfilledOrderMessage extends Message {
        public List<Product> orderContents;
        public String warehouseName;
        public long arrivalDate;
    }

    public static class NewCustomerWelcomeMessage extends Message {
        public String regionCode;
    }

    public static class InitialShipmentMessage extends Message {
        public List<Product> initialInventory;
    }

    public static class DemandMessage extends Message {
        public Map<String, List<Product>> inventory;
        public Map<String, java.lang.Integer> demand;
    }

    public static class InventoryMessage extends Message {
        public Map<String, List<Product>> inventory;
    }

    public static class OutOfStockMessage extends Message {
        public Map<String, java.lang.Integer> outOfStockItems;
    }
}
